[package]
authors = ["GoRules Team <bot@gorules.io>"]
description = "Business rules engine"
name = "zen-engine"
license = "MIT"
version = "0.16.1"
edition = "2021"
repository = "https://github.com/gorules/zen.git"

[lib]
doctest = false

[dependencies]
async-recursion = "1.0.5"
anyhow = { workspace = true }
thiserror = { workspace = true }
async-trait = { workspace = true }
bincode = { workspace = true, optional = true }
petgraph = { workspace = true }
serde_json = { workspace = true, features = ["arbitrary_precision"] }
serde = { workspace = true, features = ["derive"] }
serde_v8 = { version = "0.141.0" }
once_cell = { version = "1.18.0" }
fixedbitset = "0.4.2"
futures = "0.3.29"
v8 = { version = "0.81.0" }
zen-expression = { path = "../expression", version = "0.16.1" }

[dev-dependencies]
tokio = { version = "1.34.0", features = ["rt", "macros"] }
criterion = { workspace = true, features = ["async_futures"] }

[features]
bincode = ["dep:bincode"]

[[bench]]
harness = false
name = "engine"